<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        [mbType]="isSubmitted && form.errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.errors !== null"
        [mbErrors]="form.errors"
        [mbErrorDefs]="[{ errorName: 'rangeDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
        {'fromDate': 'staffManager.label.partyDate' | translate, 'toDate': 'staffManager.label.partyDateReal' | translate}}]"
        mbPlaceholderText="{{'staffManager.label.partyDate' | translate}}"
        mbLabelText="{{'staffManager.label.partyDate' | translate}}"
        formControlName="partyDate"></mb-date-picker>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="partyPlace" [mbMaxLength]="200"
                     [mbType]="isSubmitted && form.controls['partyPlace'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['partyPlace'].errors !== null"
                     [mbErrors]="form.controls['partyPlace'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': 200}}]"
                     mbPlaceholderText="{{'staffManager.label.partyPlace' | translate}}"
                     mbLabelText="{{'staffManager.label.partyPlace' | translate}}"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        [mbType]="isSubmitted && form.errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.errors !== null"
        [mbErrors]="form.errors"
        [mbErrorDefs]="[{ errorName: 'rangeDateError', errorDescription: 'staffManager.validate.rangeDate.pareDateMore' | translate:
        {'toDate': 'staffManager.label.partyDateReal' | translate, 'fromDate': 'staffManager.label.partyDate' | translate}}]"
        mbPlaceholderText="{{'staffManager.label.partyDateReal' | translate}}"
        mbLabelText="{{'staffManager.label.partyDateReal' | translate}}"
        formControlName="partyOfficialDate"></mb-date-picker>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.label.militaryEnlistmentDay' | translate}}"
        mbLabelText="{{'staffManager.label.militaryEnlistmentDay' | translate}}"
        formControlName="armyJoinDate"></mb-date-picker>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-select [mbDataSelects]="armyLevels"
                 mbPlaceholder="{{'staffManager.label.militaryRank' | translate}}"
                 mbLabelText="{{'staffManager.label.militaryRank' | translate}}"
                 formControlName="armyLevelCode"></mb-select>
    </div>
  </div>
</form>
